Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class WorkSubstituteRule

    java.lang.Object
      com.bea.wli.worklist.api.WorkSubstituteRule

All Implemented Interfaces:
  Serializable

public final class WorkSubstituteRule
extends Object
implements Serializable

This class defines a work substitution rule.

A rule is composed of:
- a unique id.
- an effective date that specifies when the rule takes effect. Null if it is always effective.
- an expiry date that specifies when the rule expires. Null if it never expires.
- a source that is the user/group to be substituted.
- a target that is the substitute user/group.

If the source is a user, the target must be a user; if the source is a group, the target must be a group.

When a task is assigned to a user, the worklist looks for an eventual substitute. The rules can be chained.

See Also:
  Serialized Form

Field Summary
`int` | `hashCode`

Constructor Summary
`WorkSubstituteRule()`
`WorkSubstituteRule(String workSubstituteRuleId, Date effectiveDate, Date expiryDate, String source, String target)`

Method Summary
`boolean` | `equals(Object other)`
`Date` | `getEffectiveDate()`
`Date` | `getExpiryDate()`
`String` | `getSource()`
`String` | `getTarget()`
`String` | `getWorkSubstituteRuleId()`
`int` | `hashCode()`
`void` | `setEffectiveDate(Date effectiveDate)`
`void` | `setExpiryDate(Date expiryDate)`
`void` | `setSource(String source)`
`void` | `setTarget(String target)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hashCode

    public volatile int hashCode

Constructor Detail

### WorkSubstituteRule

    public WorkSubstituteRule(String workSubstituteRuleId,
                              Date effectiveDate,
                              Date expiryDate,
                              String source,
                              String target)

### WorkSubstituteRule

    public WorkSubstituteRule()

Method Detail

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

### getEffectiveDate

    public Date getEffectiveDate()

### setEffectiveDate

    public void setEffectiveDate(Date effectiveDate)

### getExpiryDate

    public Date getExpiryDate()

### setExpiryDate

    public void setExpiryDate(Date expiryDate)

### getSource

    public String getSource()

### setSource

    public void setSource(String source)

### getTarget

    public String getTarget()

### setTarget

    public void setTarget(String target)

### getWorkSubstituteRuleId

    public String getWorkSubstituteRuleId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD